For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Resources
Get started
ReferenceGuidesExamplesChangelog
ReferenceGuidesExamplesChangelog
  • Data API
    • Introduction
  • Token
    • GETGet Authorization User Info
    • GETGet Authorization Info
  • Sites
    • GETList Sites
    • GETGet Site
    • GETGet Custom Domains
    • POSTPublish Site
  • Pages and Components
  • CMS
  • Forms
  • Custom Code
  • Assets
  • Comments
    • GETList Comment Threads
    • GETGet Comment Thread
    • GETList Comment Replies
  • Ecommerce
  • Webhooks
    • GETList Webhooks
    • GETGet Webhook
    • POSTCreate Webhook
    • DELRemove Webhook
  • Site Configuration
      • GETList Google Tags
      • PATCHUpdate Google Tag
      • DELDelete Google Tag
      • DELDelete Google Tags
  • Enterprise
LogoLogo
Resources
Get started
Site ConfigurationGoogle Tag Manager

List Google Tags

GET
https://api.webflow.com/v2/sites/:site_id/integrations/google_tags
GET
/v2/sites/:site_id/integrations/google_tags
$curl https://api.webflow.com/v2/sites/580e63e98c9a982ac9b8b741/integrations/google_tags \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json"
1{
2 "googleTagIds": [
3 {
4 "displayName": "Primary Google Analytics",
5 "tagId": "G-1A2B3C4D5E",
6 "order": 1
7 },
8 {
9 "displayName": "Google Ads Conversion Tracking",
10 "tagId": "AW-987654321",
11 "order": 2
12 },
13 {
14 "displayName": "Display & Video 360 Tag",
15 "tagId": "DC-1122334455",
16 "order": 3
17 }
18 ]
19}

List all Google Tag IDs configured for a site, sorted by order.

Required scope: sites:read

Was this page helpful?
Previous

Update Google Tag

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

site_idstringRequiredformat: "objectid"
Unique identifier for a Site

Response

Request was successful
googleTagIdslist of objects
List of Google Tags configured for a site, sorted by order.

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error